%if 0%{?fedora}
%global with_python3 1
%global with_doc 1
%endif

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%global with_python3 0
##Unfortunately, Sphinx-0.6.6 is not compatible
%global with_doc 0
%global python2_version 2.6
%endif

%if 0%{?rhel} && 0%{?rhel} > 6
%global with_python3 1
%global with_doc 1
%endif

## Make python?_shortver macros
%{!?python3_shortver: %global python3_shortver %(%{__python3} -c 'import sys; print(str(sys.version_info.major) + "." + str(sys.version_info.minor))')}

%global pname ivi

Name: python-%{pname}
Version: 0.14.9
Release: 9%{?dist}
Summary: Python Interchangeable Virtual Instrument Library
License: MIT
URL: http://alexforencich.com/wiki/en/python-%{pname}/start
Source0: https://github.com/python-%{pname}/python-%{pname}/archive/v%{version}.tar.gz#/python-%{pname}-%{version}.tar.gz
BuildArch: noarch

BuildRequires: python2-devel, python-setuptools, python-nose
BuildRequires: numpy, pytest, python-sphinx
Requires:  numpy

%description
Python IVI is a Python-based interpretation of the
Interchangeable Virtual Instrument standard. 

%package -n python2-%{pname}
Summary:  %{sum}
%{?python_provide:%python_provide python2-%{pname}}

%description -n python2-%{pname}
Python IVI is a Python-based interpretation of the
Interchangeable Virtual Instrument standard.

%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-%{pname}
Summary: Python Interchangeable Virtual Instrument Library
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pname}}

BuildRequires: python%{python3_pkgversion}-devel, python%{python3_pkgversion}-setuptools, python%{python3_pkgversion}-nose
BuildRequires: python%{python3_pkgversion}-numpy, python%{python3_pkgversion}-pytest
Requires:  python%{python3_pkgversion}-numpy

%description -n python%{python3_pkgversion}-%{pname}
Python IVI is a Python-based interpretation of the
Interchangeable Virtual Instrument standard.
%endif # with_python3

%if 0%{?with_doc}
%package doc
Summary: HTML documentation of Python IVI

%description doc
HTML documentation of Python IVI.
%endif

%prep
%setup -qc
mv python-%{pname}-%{version} python2

%if 0%{?with_python3}
cp -a python2 python3
%endif # with_python3

%build
pushd python2
CFLAGS="%{optflags}" %{__python2} setup.py build --executable="%{__python2} -s"
popd

%if 0%{?with_python3}
pushd python3
CFLAGS="%{optflags}" %{__python3} setup.py build --executable="%{__python3} -s"
popd
%endif # with_python3

%install
pushd python2
CFLAGS="%{optflags}" %{__python2} setup.py install -O1 --skip-build --root %{buildroot}
popd

%if 0%{?with_python3}
pushd python3
CFLAGS="%{optflags}" %{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd
%endif

%if 0%{?with_doc}
make man html -C python2/doc 
mkdir -p %{buildroot}%{_mandir}/man1
install -pm 644 python2/doc/_build/man/python%{pname}.1 %{buildroot}%{_mandir}/man1
rm -rf python2/doc/_build/html/.buildinfo
%endif

%check
pushd python2
nosetests -v
popd

%if 0%{?with_python3}
pushd python3
nosetests-%{python3_shortver} -v
popd
%endif

%files -n python2-%{pname}
%{!?_licensedir:%global license %doc}
%doc python2/README.md python2/AUTHORS
%license python2/COPYING
%{python2_sitelib}/%{pname}/
%{python2_sitelib}/*.egg-info/
%if 0%{?with_doc}
%{_mandir}/man1/*
%endif

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{pname}
%{!?_licensedir:%global license %doc}
%doc python3/README.md python3/AUTHORS
%license python3/COPYING
%{python3_sitelib}/%{pname}/
%{python3_sitelib}/*.egg-info/
%if 0%{?with_doc}
%{_mandir}/man1/*
%endif
%endif

%if 0%{?with_doc}
%files doc
%{!?_licensedir:%global license %doc}
%doc python2/README.md python2/AUTHORS python2/doc/_build/html
%license python2/COPYING
%endif

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.14.9-7
- Rebuild for Python 3.6

* Wed Aug 17 2016 Antonio Trande <sagitterATfedoraproject.org> - 0.14.9-6
- Rebuild for Python 3.5.2
- Build Python34 package on EPEL7

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14.9-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jan 09 2016 Antonio Trande <sagitterATfedoraproject.org> - 0.14.9-3
- Fixed python2 package

* Sat Jan 09 2016 Antonio Trande <sagitterATfedoraproject.org> - 0.14.9-2
- License modified to MIT
- Added python3 provide macro

* Fri Dec 25 2015 Antonio Trande <sagitterATfedoraproject.org> - 0.14.9-1
- initial build
